# Uses of Class
org.apache.sysds.runtime.io.cog.IFDTag

Packages that use IFDTag
Package
Description
org.apache.sysds.runtime.io.cog

## Uses of IFDTag in org.apache.sysds.runtime.io.cog

Methods in org.apache.sysds.runtime.io.cog that return IFDTag
Modifier and Type
Method
Description
`IFDTag[]`
COGHeader.`getIFD()`
`IFDTag[]`
COGHeader.`getSingleAdditionalIFD(int index)`
Methods in org.apache.sysds.runtime.io.cog with parameters of type IFDTag
Modifier and Type
Method
Description
`void`
COGHeader.`addAdditionalIFD(IFDTag[] IFD)`
`void`
COGProperties.`initFromIFDTags(IFDTag[] ifdTags)`
`static String`
COGHeader.`isCompatible(IFDTag[] IFD)`
Checks a given header for compatibility with the reader
`void`
COGHeader.`setIFD(IFDTag[] IFD)`
`void`
COGHeader.`setSingleAdditionalIFD(int index, IFDTag[] IFD)`
Constructors in org.apache.sysds.runtime.io.cog with parameters of type IFDTag
Modifier
Constructor
Description
``
`COGProperties(IFDTag[] ifdTags)`